#!/bin/bash

./informer-install.sh -x ../../deployment/was-liberty-default/config-deployment-descriptors/maximo-all/maximouiweb/webmodule/WEB-INF/web.xml
./informer-install.sh -x ../../deployment/was-liberty-default/config-deployment-descriptors/maximo-ui/webmodule/WEB-INF/web.xml

for serverdir in $(find ../../deployment/was-liberty-default/config-servers -type d -name 'maximo-*-server' -print) ; do
  optionfile="$serverdir/jvm.options"
  tmpfile="$optionfile.$$"

  if [ -e "$optionfile" ] ; then
    # delete any webservices.unify.faults, then add our own.
    sed '/-Dwebservices.unify.faults/d ; $ i -Dwebservices.unify.faults=false' "$optionfile" > "$tmpfile" && mv "$tmpfile" "$optionfile"
  else
    echo "-Dwebservices.unify.faults=false" > "$optionfile"
  fi
done
